Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 04/02/2007, à 22:13

jpvaast

Installation de Knights interface d'echecs

Salut je suis nouveau sous ubuntu, j'ai quleque sousis après avoir effectué un ./configure, jai déja installé gawk qui était manquant mais je ne comprend pas le problème percistant.
voici le config.log
Merci d'avance, pour votre aide

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  $ /home/jp/Téléchargement/knights/configure

## --------- ##
## Platform. ##
## --------- ##

hostname = jp-desktop
uname -m = i686
uname -r = 2.6.17-10-generic
uname -s = Linux
uname -v = #2 SMP Tue Dec 5 22:28:26 UTC 2006

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = i686
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /usr/bin/X11
PATH: /usr/games


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1542: checking build system type
configure:1560: result: i686-pc-linux-gnulibc1
configure:1568: checking host system type
configure:1582: result: i686-pc-linux-gnulibc1
configure:1590: checking target system type
configure:1604: result: i686-pc-linux-gnulibc1
configure:1650: checking for a BSD-compatible install
configure:1705: result: /usr/bin/install -c
configure:1720: checking for -p flag to install
configure:1733: result: yes
configure:1744: checking whether build environment is sane
configure:1787: result: yes
configure:1808: checking for gawk
configure:1824: found /usr/bin/gawk
configure:1834: result: gawk
configure:1844: checking whether make sets $(MAKE)
configure:1864: result: yes
configure:2015: checking for style of include used by make
configure:2043: result: GNU
configure:2169: checking for gcc
configure:2185: found /usr/bin/gcc
configure:2195: result: gcc
configure:2439: checking for C compiler version
configure:2442: gcc --version </dev/null >&5
gcc (GCC) 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2445: $? = 0
configure:2447: gcc -v </dev/null >&5
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu
Thread model: posix
gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)
configure:2450: $? = 0
configure:2452: gcc -V </dev/null >&5
gcc: '-V' option must have argument
configure:2455: $? = 1
configure:2478: checking for C compiler default output file name
configure:2481: gcc     conftest.c  >&5
/usr/bin/ld: crt1.o: No such file: No such file or directory
collect2: ld returned 1 exit status
configure:2484: $? = 1
configure: failed program was:
| /* confdefs.h.  */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "knights"
| #define VERSION "0.6.4"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:2523: error: C compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnulibc1
ac_cv_build_alias=i686-pc-linux-gnulibc1
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=i686-pc-linux-gnulibc1
ac_cv_host_alias=i686-pc-linux-gnulibc1
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_make_make_set=yes
ac_cv_target=i686-pc-linux-gnulibc1
ac_cv_target_alias=i686-pc-linux-gnulibc1

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/jp/Téléchargement/knights/admin/missing --run aclocal'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /home/jp/Téléchargement/knights/admin/missing --run tar'
ARTSCCONFIG=''
AUTOCONF='${SHELL} /home/jp/Téléchargement/knights/admin/missing --run autoconf'
AUTODIRS=''
AUTOHEADER='${SHELL} /home/jp/Téléchargement/knights/admin/missing --run autoheader'
AUTOMAKE='${SHELL} /home/jp/Téléchargement/knights/admin/missing --run automake'
AWK='gawk'
CC='gcc'
CCDEPMODE=''
CFLAGS=' '
CONF_FILES=' $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in'
CPP=''
CPPFLAGS=''
CXX=''
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS=''
DCOPIDL2CPP=''
DCOPIDL=''
DCOP_DEPENDENCIES=''
DEFS=''
DEPDIR='.deps'
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
FRAMEWORK_COREAUDIO=''
GMSGFMT=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL} $(INSTALL_STRIP_FLAG)'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
KDECONFIG=''
KDE_EXTRA_RPATH=''
KDE_INCLUDES=''
KDE_LDFLAGS=''
KDE_MT_LDFLAGS=''
KDE_MT_LIBS=''
KDE_PLUGIN=''
KDE_RPATH=''
KDE_USE_CLOSURE_FALSE=''
KDE_USE_CLOSURE_TRUE=''
KDE_USE_FINAL_FALSE=''
KDE_USE_FINAL_TRUE=''
KDE_XSL_STYLESHEET=''
LDFLAGS=''
LIBCOMPAT=''
LIBCRYPT=''
LIBDL=''
LIBJPEG=''
LIBOBJS=''
LIBPNG=''
LIBPTHREAD=''
LIBRESOLV=''
LIBS=''
LIBSM=''
LIBSOCKET=''
LIBTOOL=''
LIBUCB=''
LIBUTIL=''
LIBXINERAMA=''
LIBZ=''
LIB_KAB=''
LIB_KABC=''
LIB_KDECORE=''
LIB_KDEPRINT=''
LIB_KDEUI=''
LIB_KFILE=''
LIB_KFM=''
LIB_KHTML=''
LIB_KIO=''
LIB_KPARTS=''
LIB_KSPELL=''
LIB_KSYCOCA=''
LIB_POLL=''
LIB_QPE=''
LIB_QT=''
LIB_SMB=''
LIB_X11=''
LIB_XEXT=''
LN_S=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /home/jp/Téléchargement/knights/admin/missing --run makeinfo'
MCOPIDL=''
MEINPROC=''
MOC=''
MSGFMT=''
NOOPT_CFLAGS=''
NOOPT_CXXFLAGS=''
NOREPO=''
OBJEXT='o'
PACKAGE='knights'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
QTE_NORTTI=''
QT_INCLUDES=''
QT_LDFLAGS=''
RANLIB=''
REPO=''
SET_MAKE=''
SHELL='/bin/bash'
STRIP=''
TOPSUBDIRS=''
UIC=''
UIC_TR=''
USER_INCLUDES=''
USER_LDFLAGS=''
USE_EXCEPTIONS=''
USE_RTTI=''
USE_THREADS=''
VERSION='0.6.4'
WOVERLOADED_VIRTUAL=''
XGETTEXT=''
X_EXTRA_LIBS=''
X_INCLUDES=''
X_LDFLAGS=''
X_PRE_LIBS=''
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
all_includes=''
all_libraries=''
am__include='include'
am__quote=''
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnulibc1'
build_alias=''
build_cpu='i686'
build_os='linux-gnulibc1'
build_vendor='pc'
datadir='${prefix}/share'
exec_prefix='NONE'
host='i686-pc-linux-gnulibc1'
host_alias=''
host_cpu='i686'
host_os='linux-gnulibc1'
host_vendor='pc'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/jp/Téléchargement/knights/admin/install-sh'
kde_appsdir=''
kde_bindir=''
kde_confdir=''
kde_datadir=''
kde_htmldir=''
kde_icondir=''
kde_includes=''
kde_libraries=''
kde_libs_htmldir=''
kde_libs_prefix=''
kde_locale=''
kde_mimedir=''
kde_moduledir=''
kde_qtver=''
kde_servicesdir=''
kde_servicetypesdir=''
kde_sounddir=''
kde_styledir=''
kde_templatesdir=''
kde_wallpaperdir=''
kde_widgetdir=''
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='/usr/local/kde'
program_transform_name='s,x,x,'
qt_includes=''
qt_libraries=''
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target='i686-pc-linux-gnulibc1'
target_alias=''
target_cpu='i686'
target_os='linux-gnulibc1'
target_vendor='pc'
x_includes='NONE'
x_libraries='NONE'

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE "knights"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define VERSION "0.6.4"

configure: exit 77

Hors ligne

#2 Le 04/02/2007, à 22:53

jpvaast

Re : Installation de Knights interface d'echecs

Je me suis débrouillé un peu seul, et j'ai installé quelques dépendances manquante (autoconf, automake, build-essential, fakeroot, checkinstall, qt3-apps.dev)
mais toujours un problème avec QT 3.0

le log :

checking for Qt... configure: error: Qt (>= Qt 3.0) (headers and libraries) not found. Please check your installation!

Hors ligne

#3 Le 05/02/2007, à 10:04

jdefaver

Re : Installation de Knights interface d'echecs

sudo apt-get install libqt3-headers ?

Hors ligne

#4 Le 06/02/2007, à 12:13

jpvaast

Re : Installation de Knights interface d'echecs

jp@jp-desktop:~$ sudo apt-get install libqt3-headers
Password:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Reading state information... Fait       
libqt3-headers est déjà la plus récente version disponible.
Les paquets suivants ont été automatiquement installés mais ne sont plus nécessaires :
  libpopt-dev libtasn1-3-dev libglib2.0-dev libgpg-error-dev libopencdk8-dev
  libgcrypt11-dev libmysqlclient15-dev libsqlite0-dev libgnutls-dev liblzo-dev
  libqt3-headers phalanx libcupsys2-dev
Utiliser "apt-get autoremove" pour les supprimer
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Hors ligne

#5 Le 06/02/2007, à 12:14

jpvaast

Re : Installation de Knights interface d'echecs

toujours le même problème après ./configure:(

Hors ligne